Method: customers.chromeBrowsers.list
Stay organized with collections
Save and categorize content based on your preferences.
Retrieves all Chrome Browsers of a customer (paginated).
HTTP request
GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/chromeBrowsers
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. Format: customers/{customerId}
|
Query parameters
| Parameters |
pageSize |
integer
Optional. Maximum number of results to return. Maximum and default are 100.
|
pageToken |
string
Optional. Token to specify next page in the list.
|
filter |
string
Optional. The filter used to filter browsers. The following fields can be used in the filter:
browser_permanent_id
last_policy_fetch_time
os_platform
os_architecture
os_version
machine_name
annotated_location
annotated_user
annotated_asset_id
annotated_note
org_unit_path
org_unit_id
last_registration_time
os_platform_version
browser_version
last_status_report_time
extension_count
policy_count
last_device_user
last_activity_time
device_id_collision
The following functions can be used in the filter:
in_group(string): Filters browsers that belong to the specified Cloud Identity group resource name (e.g. in_group("groups/{groupId}")).
Any of the above fields or functions can be used to specify a filter, and filtering by multiple fields or functions is supported with AND operator. String type, Integer type fields and enum type fields support = and : operators. The timestamp type fields support =, <= and >= operators. Timestamps expect an RFC-3339 formatted string enclosed in double quotes (e.g., "2012-04-21T11:30:00-04:00"). Wildcard * is only supported for machine_name, annotated_asset_id, and browser_version. In addition, global string literal filtering without a field name is supported: a single term (e.g., ABC) matches if any indexed string field contains ABC, and multiple terms joined by AND or whitespace (e.g., machine AND 73 or machine 73) match browsers where every term appears in at least one indexed string field (whereas a single quoted phrase like "machine 73" matches the contiguous phrase within a single field).
|
orderBy |
string
Optional. The fields used to specify the ordering of the results. The supported fields are:
browser_permanent_id
last_policy_fetch_time
annotated_user
annotated_location
annotated_asset_id
annotated_notes
org_unit_path
os_version
last_registration_time
extension_count
policy_count
last_device_user
machine_name
browser_version_channel
os_platform_version
last_activity_time
browser_version
By default, sorting is in ascending order, to specify descending order for a field, a suffix desc should be added to the field name. The default ordering is the ascending order of browser_permanent_id.
|
Request body
The request body must be empty.
Response body
Response to chromeBrowsers.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"chromeBrowsers": [
{
object (ChromeBrowser)
}
],
"nextPageToken": string
} |
| Fields |
chromeBrowsers[] |
object (ChromeBrowser)
List of Chrome Browser device objects.
|
nextPageToken |
string
Token used to access next page of this result.
|
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chrome.management.browsers.readonly
https://www.googleapis.com/auth/chrome.management.browsers
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-20 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-20 UTC."],[],[]]